## gnome-shell-extension-gsconnect 11+wip2018.07.26

=== meson_options.txt ===
option('session_bus_services_dir', type: 'string', value: '', description: 'DBus session services directory')
option('systemduserunitdir', type: 'string', value: '', description: 'systemd user units directory')
option('nautilus', type: 'boolean', value: true, description: 'enable nautilus-python extension')
option('webextension', type: 'boolean', value: true, description: 'enable WebExtension for Chrome/Firefox')

=== debian/changelog ===
gnome-shell-extension-gsconnect (11+wip2018.07.26-0ubuntu1) cosmic; urgency=medium

  * Initial packaging

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 20 Jul 2018 08:58:07 +0200

=== debian/control ===
Source: gnome-shell-extension-gsconnect
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 10),
               dh-translations,
               meson (>= 0.40.1),
Standards-Version: 4.1.1
Homepage: https://github.com/andyholmes/gnome-shell-extension-gsconnect
Vcs-Git: https://github.com/~ubuntu-desktop/ubuntu/+source/gnome-shell-extension-gsconnect
Vcs-Browser: https://github.com/~ubuntu-desktop/ubuntu/+source/gnome-shell-extension-gsconnect

Package: gnome-shell-extension-gsconnect
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         python3,
         gjs,
Recommends: sshfs,
            gir1.2-folks-0.6,
            libfolks-eds25,
            python-nautilus,
            gir1.2-nautilus-3.0,
            gir1.2-gsound-1.0,
Description: KDE Connect implementation for GNOME Shell
 This extension enables you to connect your phone or other devices to your
 system, sending remote sms, see phone calls, share notifications, send files.
 .
 GSConnect is a complete KDE Connect protocol implementation for Gnome Shell
 with Nautilus, contacts and Shell integration.

Package: gnome-shell-extension-gsconnect-browsers
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         gnome-shell-extension-gsconnect (= ${binary:Version}),
Suggests: firefox | chromium-browser,
Description: Browser support of KDE Connect implementation for GNOME Shell
 This extension enables you to connect your phone or other devices to your
 system, sending remote sms, see phone calls, share notifications, send files.
 .
 GSConnect is a complete KDE Connect protocol implementation for Gnome Shell
 with Nautilus, contacts adn Shell ingration.
 .
 This package contains Chromium, Firefox and Chrome integration support to send
 text via sms or open links on your phone.

## gnome-shell-extension-gsconnect 11+wip2018.10.03

=== meson_options.txt ===
# See https://github.com/andyholmes/gnome-shell-extension-gsconnect/wiki/Packaging

# Run meson/post-install.sh (glib-compile-schemas)
option(
  'post_install',
  type: 'boolean',
  value: false,
  description: 'Run meson/post-install.sh'
)

# Gnome Shell LIBDIR
option(
  'gnome_shell_libdir',
  type: 'string',
  value: '',
  description: 'LIBDIR for Gnome Shell'
)

# GSettings schema directory
option(
  'gsettings_schemadir',
  type: 'string',
  value: '',
  description: 'GSettings Schema directory'
)

# DBus service file
option(
  'session_bus_services_dir',
  type: 'string',
  value: '',
  description: 'DBus session services directory'
)

# External program paths
option(
  'fusermount_path',
  type: 'string',
  value: 'fusermount',
  description: 'Path to fusermount binary'
)

option(
  'openssl_path',
  type: 'string',
  value: 'openssl',
  description: 'Path to openssl binary'
)

option(
  'sshfs_path',
  type: 'string',
  value: 'sshfs',
  description: 'Path to sshfs binary'
)

# Enable/Disable Nautilus extension installation
option(
  'nautilus',
  type: 'boolean',
  value: true,
  description: 'Install nautilus-python extension'
)

# Enable/Disable WebExtension manifest installation
option(
  'webextension',
  type: 'boolean',
  value: true,
  description: 'Install WebExtension manifest for Chrome/Chromium/Firefox'
)

# Override manifest install so that BROWSER_NMHDIR/foo.json
option(
  'chrome_nmhdir',
  type: 'string',
  value: '',
  description: 'Native Messaging Host directory for Chrome'
)

option(
  'chromium_nmhdir',
  type: 'string',
  value: '',
  description: 'Native Messaging Host directory for Chromium'
)

option(
  'mozilla_nmhdir',
  type: 'string',
  value: '',
  description: 'Native Messaging Host directory for Mozilla'
)

=== debian/changelog ===
gnome-shell-extension-gsconnect (11+wip2018.10.03-0ubuntu1) cosmic; urgency=medium

  * New upstream snapshot (LP: #1795812)
  * debian/gbp.conf:
    - point upstream branch to master for generating the source tarball.

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 02 Oct 2018 11:24:22 +0200

gnome-shell-extension-gsconnect (11+wip2018.07.26-0ubuntu2) cosmic; urgency=medium

  * Fix Vcs-* links
  * Adjust dependencies
  * Add to main package description instructions on client phone application
    installation.
  * Add libglib2.0-dev-bin build-dep

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 30 Jul 2018 11:54:22 +0200

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,11 @@
 Build-Depends: debhelper (>= 10),
                dh-translations,
                meson (>= 0.40.1),
+               libglib2.0-dev-bin,
 Standards-Version: 4.1.1
 Homepage: https://github.com/andyholmes/gnome-shell-extension-gsconnect
-Vcs-Git: https://github.com/~ubuntu-desktop/ubuntu/+source/gnome-shell-extension-gsconnect
-Vcs-Browser: https://github.com/~ubuntu-desktop/ubuntu/+source/gnome-shell-extension-gsconnect
+Vcs-Git: https://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/gnome-shell-extension-gsconnect
+Vcs-Browser: https://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/gnome-shell-extension-gsconnect
 
 Package: gnome-shell-extension-gsconnect
 Architecture: all
@@ -16,15 +17,28 @@
          ${misc:Depends},
          python3,
          gjs,
+         gnome-shell,
+         gir1.2-clutter-1.0,
+         gir1.2-gdkpixbuf-2.0,
+         gir1.2-glib-2.0,
+         gir1.2-gtk-3.0,
 Recommends: sshfs,
-            gir1.2-folks-0.6,
             libfolks-eds25,
             python-nautilus,
+            gir1.2-atspi-2.0,
+            gir1.2-gdata-0.0,
+            gir1.2-folks-0.6,
+            gir1.2-goa-1.0,
             gir1.2-nautilus-3.0,
+            gir1.2-pango-1.0,
             gir1.2-gsound-1.0,
+            gir1.2-upowerglib-1.0,
 Description: KDE Connect implementation for GNOME Shell
  This extension enables you to connect your phone or other devices to your
  system, sending remote sms, see phone calls, share notifications, send files.
+ .
+ To connect an Android device, install the KDE Connect Android app from
+ the Google Play Store or F-Droid.
  .
  GSConnect is a complete KDE Connect protocol implementation for Gnome Shell
  with Nautilus, contacts and Shell integration.
@@ -39,8 +53,5 @@
  This extension enables you to connect your phone or other devices to your
  system, sending remote sms, see phone calls, share notifications, send files.
  .
- GSConnect is a complete KDE Connect protocol implementation for Gnome Shell
- with Nautilus, contacts adn Shell ingration.
- .
  This package contains Chromium, Firefox and Chrome integration support to send
  text via sms or open links on your phone.

## gnome-shell-extension-gsconnect 20

=== meson_options.txt ===
--- 
+++ 
@@ -8,12 +8,12 @@
   description: 'Run meson/post-install.sh'
 )
 
-# Gnome Shell LIBDIR
+# GNOME Shell LIBDIR
 option(
   'gnome_shell_libdir',
   type: 'string',
   value: '',
-  description: 'LIBDIR for Gnome Shell'
+  description: 'LIBDIR for GNOME Shell'
 )
 
 # GSettings schema directory
@@ -45,6 +45,20 @@
   type: 'string',
   value: 'openssl',
   description: 'Path to openssl binary'
+)
+
+option(
+  'sshadd_path',
+  type: 'string',
+  value: 'ssh-add',
+  description: 'Path to ssh-add binary'
+)
+
+option(
+  'sshkeygen_path',
+  type: 'string',
+  value: 'ssh-keygen',
+  description: 'Path to ssh-keygen binary'
 )
 
 option(

=== debian/changelog ===
gnome-shell-extension-gsconnect (20-0ubuntu1) disco; urgency=medium

  * Release v20 after much testing (LP: #1799943)
    Note that now the message apps should sync messages from your device.
    However, this isn't compatible with all phones, like Samsung and others.
    You can use the legacy message mode in that case (that you can enable on
    the gsconnect phone association setting) to revert to previous behavior
    (No history, but sent messages are kept until next reboot).
  * debian/control, debian/gnome-shell-extension-gsconnect.linian-overrides:
    - depends on libglib2.0-bin as desktop file is running gapplication.
    - override thus lintian warning for command not in package.

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 08 Jan 2019 11:47:01 +0100

=== debian/control ===
--- 
+++ 
@@ -22,6 +22,7 @@
          gir1.2-gdkpixbuf-2.0,
          gir1.2-glib-2.0,
          gir1.2-gtk-3.0,
+         libglib2.0-bin,
 Recommends: sshfs,
             libfolks-eds25,
             python-nautilus,

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

%:
	dh $@ --with translations

override_dh_auto_configure:
	# Use GNOME Shell libdir
	dh_auto_configure -- \
                --libdir=/usr/lib

override_dh_auto_install:
	dh_auto_install
	cd debian/tmp/usr/share/gnome-shell/extensions/gsconnect@andyholmes.github.io/service/ ; \
	chmod +x daemon.js nativeMessagingHost.js

override_dh_fixperms:
	dh_fixperms -Xusr/share/gnome-shell/extensions/gsconnect@andyholmes.github.io/service/daemon.js -Xusr/share/gnome-shell/extensions/gsconnect@andyholmes.github.io/service/nativeMessagingHost.js

override_dh_missing:
	dh_missing --fail-missing

## gnome-shell-extension-gsconnect 48

=== debian/changelog ===
gnome-shell-extension-gsconnect (48-0ubuntu4) jammy; urgency=medium

  * Update for GNOME 42 compatibility

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Tue, 15 Mar 2022 17:26:16 -0700

gnome-shell-extension-gsconnect (48-0ubuntu3) jammy; urgency=medium

  * Fix GNOME 42 compatibility issues (LP: #1964276)

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Sat, 12 Mar 2022 21:51:25 -0800

gnome-shell-extension-gsconnect (48-0ubuntu2) jammy; urgency=medium

  * Add not-installed file for tests that don't need to be there

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Sun, 20 Feb 2022 15:11:22 -0800

gnome-shell-extension-gsconnect (48-0ubuntu1) jammy; urgency=medium

  * New upstream release v48 (LP: #1820738)
  * debian/control: 
    - add libglib2.0-bin to build-deps
    - Bump debhelper-compat to 13
    - Bump standards-version
  * debian/copyright: add self and past contributors for d/

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Sun, 20 Feb 2022 13:57:17 -0800

gnome-shell-extension-gsconnect (20-0ubuntu2) groovy; urgency=medium

  * debian/control: recommend python3-nautilus instead of its no longer present
    python2 variant.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Tue, 02 Jun 2020 13:32:21 +0200

## gnome-shell-extension-gsconnect 50

=== meson_options.txt ===
# See https://github.com/GSConnect/gnome-shell-extension-gsconnect/wiki/Packaging

# Run meson/post-install.sh (glib-compile-schemas)
option(
  'post_install',
  type: 'boolean',
  value: false,
  description: 'Run meson/post-install.sh (eg. glib-compile-schemas)'
)

# GNOME Shell LIBDIR
option(
  'gnome_shell_libdir',
  type: 'string',
  value: '',
  description: 'LIBDIR for GNOME Shell (eg. $LIBDIR/gnome-shell/Gvc-1.0.typelib)'
)

# GSettings schema directory
option(
  'gsettings_schemadir',
  type: 'string',
  value: '',
  description: 'GSettings Schema directory'
)

# DBus service file
option(
  'session_bus_services_dir',
  type: 'string',
  value: '',
  description: 'DBus session services directory'
)

# firewalld service file
option(
  'firewalld',
  type: 'boolean',
  value: false,
  description: 'Install firewalld service file'
)

# External program paths
# NOTE: these are only useful for distributions like NixOS that don't use PATH
option(
  'ffmpeg_path',
  type: 'string',
  value: 'ffmpeg',
  description: 'Absolute path to ffmpeg binary'
)

option(
  'openssl_path',
  type: 'string',
  value: 'openssl',
  description: 'Absolute path to openssl binary'
)

option(
  'sshadd_path',
  type: 'string',
  value: 'ssh-add',
  description: 'Absolute path to ssh-add binary'
)

option(
  'sshkeygen_path',
  type: 'string',
  value: 'ssh-keygen',
  description: 'Absolute path to ssh-keygen binary'
)

# Nautilus/Nemo Python extension installation
option(
  'nautilus',
  type: 'boolean',
  value: true,
  description: 'Install file browser extension for Nautilus (Files)'
)

option(
  'nemo',
  type: 'boolean',
  value: false,
  description: 'Install file browser extension for Nemo'
)

# WebExtension manifest installation
# NOTE: this is NOT the WebExtension, but is REQUIRED for it to work.
option(
  'webextension',
  type: 'boolean',
  value: true,
  description: 'Install WebExtension manifest for Chrome, Chromium & Firefox'
)

# Override manifest install so that BROWSER_NMHDIR/foo.json
option(
  'chrome_nmhdir',
  type: 'string',
  value: '',
  description: 'Native Messaging Host directory for Chrome'
)

option(
  'chromium_nmhdir',
  type: 'string',
  value: '',
  description: 'Native Messaging Host directory for Chromium'
)

option(
  'mozilla_nmhdir',
  type: 'string',
  value: '',
  description: 'Native Messaging Host directory for Mozilla'
)

option(
  'installed_tests',
  type: 'boolean',
  value: true,
  description: 'Install tests'
)

=== debian/changelog ===
gnome-shell-extension-gsconnect (50-6) unstable; urgency=medium

  * Fix gnome43.patch (Closes: #1019585)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 12 Sep 2022 13:26:58 -0400

gnome-shell-extension-gsconnect (50-5) unstable; urgency=medium

  * Restore compatibility with gnome-shell 42 (Closes: #1019530)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 11 Sep 2022 07:16:12 -0400

gnome-shell-extension-gsconnect (50-4) unstable; urgency=medium

  * Add basic patch to allow use with GNOME Shell 43
  * debian/control.in: Bump max GNOME Shell version allowed (Closes: #1017870)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 07 Sep 2022 13:53:49 -0400

gnome-shell-extension-gsconnect (50-3) unstable; urgency=medium

  * Add 2 patches to fix compatibility with Nautilus 43
  * debian/control.in: Don't depend on nautilus gir package
    because python3-nautilus already depends on it

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 18 Aug 2022 10:10:28 -0400

gnome-shell-extension-gsconnect (50-2) unstable; urgency=medium

  * Rebuild after NEW acceptance

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 16 Aug 2022 07:41:07 -0400

gnome-shell-extension-gsconnect (50-1) unstable; urgency=medium

  * Initial release for Debian (Closes: #1016316)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 29 Jul 2022 14:29:12 -0400

gnome-shell-extension-gsconnect (50-0ubuntu1) jammy; urgency=medium

  * New upstream release v50 (LP: #1964276)
  * Remove upstreamed patches

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Sat, 19 Mar 2022 18:01:19 -0700

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gnome-shell-extension-gsconnect
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bicha <jbicha@ubuntu.com>
Build-Depends: debhelper-compat (= 13),
               appstream <!nocheck>,
               desktop-file-utils <!nocheck>,
               dh-sequence-gnome,
               libglib2.0-dev,
               libxml2-utils,
               meson (>= 0.46.0),
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://github.com/andyholmes/gnome-shell-extension-gsconnect
Vcs-Git: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-gsconnect.git
Vcs-Browser: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-gsconnect

Package: gnome-shell-extension-gsconnect
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         python3,
         gjs,
         gnome-shell (>= 42),
         gnome-shell (<< 44~),
         gir1.2-clutter-1.0,
         gir1.2-gdkpixbuf-2.0,
         gir1.2-glib-2.0,
         gir1.2-gtk-3.0,
         libglib2.0-bin,
Recommends: sshfs,
            libfolks-eds26,
            python3-nautilus,
            gir1.2-atspi-2.0,
            gir1.2-gdata-0.0,
            gir1.2-folks-0.7,
            gir1.2-goa-1.0,
            gir1.2-pango-1.0,
            gir1.2-gsound-1.0,
            gir1.2-upowerglib-1.0,
Suggests: gnome-shell-extension-gsconnect-browsers
Description: KDE Connect implementation for GNOME Shell
 This extension enables you to connect your phone or other devices to your
 system, sending remote sms, see phone calls, share notifications, send files.
 .
 To connect an Android device, install the KDE Connect Android app from
 the Google Play Store or F-Droid.
 .
 GSConnect is a complete KDE Connect protocol implementation for GNOME Shell
 with Nautilus, contacts and Shell integration.

Package: gnome-shell-extension-gsconnect-browsers
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         gnome-shell-extension-gsconnect (= ${binary:Version}),
Suggests: firefox-esr | firefox | chromium-browser | chromium
Enhances: gnome-shell-extension-gsconnect
Description: Browser support of KDE Connect implementation for GNOME Shell
 This extension enables you to connect your phone or other devices to your
 system, sending remote sms, see phone calls, share notifications, send files.
 .
 This package contains Chromium, Firefox and Chrome integration support to send
 text via sms or open links on your phone.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		--libdir=/usr/lib \
		-Dfirewalld=true \
		-Dinstalled_tests=false

# Tests do not appear to work outside of a graphical GNOME shell environment
override_dh_auto_test:

execute_after_dh_fixperms:
	chmod +x debian/gnome-shell-extension-gsconnect/usr/share/gnome-shell/extensions/gsconnect@andyholmes.github.io/service/nativeMessagingHost.js
	chmod +x debian/gnome-shell-extension-gsconnect/usr/share/gnome-shell/extensions/gsconnect@andyholmes.github.io/service/daemon.js

## gnome-shell-extension-gsconnect 54

=== meson_options.txt ===
--- 
+++ 
@@ -1,12 +1,4 @@
 # See https://github.com/GSConnect/gnome-shell-extension-gsconnect/wiki/Packaging
-
-# Run meson/post-install.sh (glib-compile-schemas)
-option(
-  'post_install',
-  type: 'boolean',
-  value: false,
-  description: 'Run meson/post-install.sh (eg. glib-compile-schemas)'
-)
 
 # GNOME Shell LIBDIR
 option(
@@ -14,14 +6,6 @@
   type: 'string',
   value: '',
   description: 'LIBDIR for GNOME Shell (eg. $LIBDIR/gnome-shell/Gvc-1.0.typelib)'
-)
-
-# GSettings schema directory
-option(
-  'gsettings_schemadir',
-  type: 'string',
-  value: '',
-  description: 'GSettings Schema directory'
 )
 
 # DBus service file

=== debian/changelog ===
gnome-shell-extension-gsconnect (54-2) unstable; urgency=medium

  * Add patch to update metadata.json for GNOME 44
  * Update gnome-shell dependency relationships to match metadata.json
  * Update standards version to 4.6.2, no changes needed

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 24 Feb 2023 09:56:23 -0500

gnome-shell-extension-gsconnect (54-1) unstable; urgency=medium

  * New upstream release (LP: #1993210)
  * Drop all patches: applied in new release
  * debian/control.in: Build-Depend on gtk-update-icon-cache

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 17 Oct 2022 16:47:19 -0400

gnome-shell-extension-gsconnect (50-8) unstable; urgency=high

  * debian/rules: Update to work with the new postinst and postrm

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 13 Oct 2022 11:10:13 -0400

gnome-shell-extension-gsconnect (50-7) unstable; urgency=high

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Set upstream metadata fields.
  * Update standards version to 4.6.1, no changes needed.

  [ Jeremy Bicha ]
  * Add postinst & postrm to handle the Chrome conffile

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 12 Oct 2022 11:14:04 -0400

=== debian/control ===
--- 
+++ 
@@ -11,10 +11,11 @@
                appstream <!nocheck>,
                desktop-file-utils <!nocheck>,
                dh-sequence-gnome,
+               gtk-update-icon-cache,
                libglib2.0-dev,
                libxml2-utils,
                meson (>= 0.46.0),
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/andyholmes/gnome-shell-extension-gsconnect
 Vcs-Git: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-gsconnect.git
@@ -26,8 +27,8 @@
          ${misc:Depends},
          python3,
          gjs,
-         gnome-shell (>= 42),
-         gnome-shell (<< 44~),
+         gnome-shell (>= 43),
+         gnome-shell (<< 45~),
          gir1.2-clutter-1.0,
          gir1.2-gdkpixbuf-2.0,
          gir1.2-glib-2.0,

## gnome-shell-extension-gsconnect 55

=== debian/changelog ===
gnome-shell-extension-gsconnect (55-4) experimental; urgency=medium

  * Cherry-pick patches for compatibility with GNOME Shell 45 (Closes: #1052100)
  * debian/control.in: Bump minimum gnome-shell to 45 to match metadata.json

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 22 Sep 2023 16:09:37 -0400

gnome-shell-extension-gsconnect (55-3) unstable; urgency=medium

  * Upload to unstable (Closes: #1050150)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 20 Aug 2023 21:29:10 -0400

gnome-shell-extension-gsconnect (55-2) experimental; urgency=medium

  * Drop unnecessary Depends: gir1.2-clutter-1.0 (Closes: #1041629)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 21 Jul 2023 14:59:37 -0400

gnome-shell-extension-gsconnect (55-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum gnome-shell to 44 to match metadata.json
  * Drop GNOME Shell 44 patch: improved version included in new release
    (LP: #2012417)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 26 Mar 2023 18:00:41 -0400

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@ubuntu.com>
+Uploaders: Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                appstream <!nocheck>,
                desktop-file-utils <!nocheck>,
@@ -27,9 +27,8 @@
          ${misc:Depends},
          python3,
          gjs,
-         gnome-shell (>= 43),
-         gnome-shell (<< 45~),
-         gir1.2-clutter-1.0,
+         gnome-shell (>= 45),
+         gnome-shell (<< 46~),
          gir1.2-gdkpixbuf-2.0,
          gir1.2-glib-2.0,
          gir1.2-gtk-3.0,

=== debian/watch ===
version=4
https://github.com/GSConnect/gnome-shell-extension-gsconnect/releases .*?(\d\S*)\.tar\.gz

## gnome-shell-extension-gsconnect 57

=== debian/changelog ===
gnome-shell-extension-gsconnect (57-1) experimental; urgency=medium

  * New upstream release
  * Drop all patches: applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 18 Apr 2024 07:45:29 -0400

gnome-shell-extension-gsconnect (56-1) experimental; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release
  * Drop all patches: applied in new release
  * Cherry-pick patch to fix GNOME detection
  * Add patch to mark compatible with GNOME Shell 46
  * Bump maximum GNOME Shell to 46
  * Stop using debian/control.in and dh-sequence-gnome

  [ Patrice Duroux ]
  * Update debian/watch (Closes: #1059585)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 19 Feb 2024 12:15:52 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,3 @@
-# This file is autogenerated. DO NOT EDIT!
-#
-# Modifications should be made to debian/control.in instead.
-# This file is regenerated automatically in the clean target.
 Source: gnome-shell-extension-gsconnect
 Section: gnome
 Priority: optional
@@ -10,7 +6,6 @@
 Build-Depends: debhelper-compat (= 13),
                appstream <!nocheck>,
                desktop-file-utils <!nocheck>,
-               dh-sequence-gnome,
                gtk-update-icon-cache,
                libglib2.0-dev,
                libxml2-utils,
@@ -28,7 +23,7 @@
          python3,
          gjs,
          gnome-shell (>= 45),
-         gnome-shell (<< 46~),
+         gnome-shell (<< 47~),
          gir1.2-gdkpixbuf-2.0,
          gir1.2-glib-2.0,
          gir1.2-gtk-3.0,

=== debian/rules ===
--- 
+++ 
@@ -15,3 +15,13 @@
 execute_after_dh_fixperms:
 	chmod +x debian/gnome-shell-extension-gsconnect/usr/share/gnome-shell/extensions/gsconnect@andyholmes.github.io/service/nativeMessagingHost.js
 	chmod +x debian/gnome-shell-extension-gsconnect/usr/share/gnome-shell/extensions/gsconnect@andyholmes.github.io/service/daemon.js
+
+# Use debian/postinst to install the Chrome conffile
+# and debian/postrm to remove it since dpkg's automatic
+# conffile handling doesn't handle the special /etc/opt/ directory
+# https://bugs.debian.org/888549
+execute_after_dh_auto_install:
+	mkdir -p debian/gnome-shell-extension-gsconnect-browsers/usr/share/gnome-shell-extension-gsconnect
+	mv debian/tmp/etc/opt/chrome/native-messaging-hosts/org.gnome.shell.extensions.gsconnect.json \
+		debian/gnome-shell-extension-gsconnect-browsers/usr/share/gnome-shell-extension-gsconnect/org.gnome.shell.extensions.gsconnect.json
+	rm -rf debian/tmp/etc/opt

## gnome-shell-extension-gsconnect 58

=== debian/changelog ===
gnome-shell-extension-gsconnect (58-3) unstable; urgency=high

  * Replace GNOME 48 patch with alternate one compatible with earlier
    GNOME Shell versions
  * debian/control: Update compatible GNOME Shell versions

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 02 Mar 2025 13:56:27 -0500

gnome-shell-extension-gsconnect (58-2) unstable; urgency=medium

  * Cherry-pick proposed patch to mark compatible with GNOME Shell 48
    (Closes: #1095856)
  * Bump minimum & maximum GNOME Shell to 48
  * Remove unused Recommends: gir1.2-gdata-0.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 02 Mar 2025 06:06:19 -0500

gnome-shell-extension-gsconnect (58-1) unstable; urgency=medium

  * New upstream release
  * Remove remaining patch: applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 02 Dec 2024 11:22:55 -0500

gnome-shell-extension-gsconnect (57-3) unstable; urgency=medium

  * Add patch to mark compatible with GNOME Shell 47
  * Bump maximum GNOME Shell version to 47

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 05 Aug 2024 17:50:49 -0400

gnome-shell-extension-gsconnect (57-2) unstable; urgency=medium

  * Bump Standards Version to 4.7.0
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 13 Jul 2024 06:57:38 -0400

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                libglib2.0-dev,
                libxml2-utils,
                meson (>= 0.46.0),
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/andyholmes/gnome-shell-extension-gsconnect
 Vcs-Git: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-gsconnect.git
@@ -22,8 +22,8 @@
          ${misc:Depends},
          python3,
          gjs,
-         gnome-shell (>= 45),
-         gnome-shell (<< 47~),
+         gnome-shell (>= 46~),
+         gnome-shell (<< 49~),
          gir1.2-gdkpixbuf-2.0,
          gir1.2-glib-2.0,
          gir1.2-gtk-3.0,
@@ -32,7 +32,6 @@
             libfolks-eds26,
             python3-nautilus,
             gir1.2-atspi-2.0,
-            gir1.2-gdata-0.0,
             gir1.2-folks-0.7,
             gir1.2-goa-1.0,
             gir1.2-pango-1.0,

## gnome-shell-extension-gsconnect 62

=== debian/changelog ===
gnome-shell-extension-gsconnect (62-1) unstable; urgency=medium

  * New upstream release (Closes: #1101981)
  * Remove remaining patch: applied in new release
  * Automatically update supported GNOME Shell versions by parsing metadata.json

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 10 Apr 2025 15:22:45 -0400

=== debian/control ===
--- 
+++ 
@@ -22,8 +22,8 @@
          ${misc:Depends},
          python3,
          gjs,
-         gnome-shell (>= 46~),
-         gnome-shell (<< 49~),
+         gnome-shell (>= ${gnome:MinimumVersion}~),
+         gnome-shell (<< ${gnome:MaximumVersion}~),
          gir1.2-gdkpixbuf-2.0,
          gir1.2-glib-2.0,
          gir1.2-gtk-3.0,

=== debian/watch ===
version=4
opts="filenamemangle=s%.*/@ANY_VERSION@%@PACKAGE@-$1.tar.gz%,searchmode=plain" \
    https://api.github.com/repos/GSConnect/gnome-shell-extension-gsconnect/releases?per_page=100 \
    https://api.github.com/repos/GSConnect/gnome-shell-extension-gsconnect/tarball/@ANY_VERSION@

## gnome-shell-extension-gsconnect 67

=== meson_options.txt ===
--- 
+++ 
@@ -1,3 +1,7 @@
+# SPDX-FileCopyrightText: GSConnect Developers https://github.com/GSConnect
+#
+# SPDX-License-Identifier: GPL-2.0-or-later
+
 # See https://github.com/GSConnect/gnome-shell-extension-gsconnect/wiki/Packaging
 
 # GNOME Shell LIBDIR

=== debian/changelog ===
gnome-shell-extension-gsconnect (67-2) unstable; urgency=medium

  * Remove !nocheck annotation from Build-Depends: desktop-file-utils
    (Closes: #1116747)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 30 Sep 2025 11:07:34 -0400

gnome-shell-extension-gsconnect (67-1) unstable; urgency=medium

  * New upstream release (LP: #2122485)
  * Convert debian/watch to Version: 5
  * Remove obsolete Rules-Requires-Root: no field
  * Bump Standards Version to 4.7.2

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 19 Sep 2025 07:38:43 -0400

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,12 @@
 Uploaders: Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                appstream <!nocheck>,
-               desktop-file-utils <!nocheck>,
+               desktop-file-utils,
                gtk-update-icon-cache,
                libglib2.0-dev,
                libxml2-utils,
                meson (>= 0.46.0),
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Homepage: https://github.com/andyholmes/gnome-shell-extension-gsconnect
 Vcs-Git: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-gsconnect.git
 Vcs-Browser: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-gsconnect

=== debian/rules ===
--- 
+++ 
@@ -25,3 +25,8 @@
 	mv debian/tmp/etc/opt/chrome/native-messaging-hosts/org.gnome.shell.extensions.gsconnect.json \
 		debian/gnome-shell-extension-gsconnect-browsers/usr/share/gnome-shell-extension-gsconnect/org.gnome.shell.extensions.gsconnect.json
 	rm -rf debian/tmp/etc/opt
+
+override_dh_gencontrol:
+	dh_gencontrol -- \
+		-Vgnome:MinimumVersion=$(shell python3 -c "import json; print(min(int(x) for x in json.load(open('obj-$(DEB_HOST_GNU_TYPE)/data/metadata.json', 'rt'))['shell-version']))") \
+		-Vgnome:MaximumVersion=$(shell python3 -c "import json; print(1+max(int(x) for x in json.load(open('obj-$(DEB_HOST_GNU_TYPE)/data/metadata.json', 'rt'))['shell-version']))")

=== debian/watch ===
Version: 5
Template: GitHub
Owner: GSConnect
Project: @PACKAGE@

## gnome-shell-extension-gsconnect 71

=== debian/changelog ===
gnome-shell-extension-gsconnect (71-1ubuntu1) resolute; urgency=medium

  * Patch to bump gnome-shell version

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Sat, 28 Feb 2026 13:13:54 -0800

gnome-shell-extension-gsconnect (71-1) unstable; urgency=medium

  * New upstream release
  * Remove debian/watch and use automatic Archive: GitHub instead

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 17 Nov 2025 19:01:28 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: gnome-shell-extension-gsconnect
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                appstream <!nocheck>,
